Subject: Re: Malloc bug?

From: Hollis Blanchard <[email-masked]>
Date: Wed, 19 Jul 2000 11:51:30 +0900

Nathan Ingersoll wrote:
>
> I've been working on a GTK program for a while now, and I've been
> experiencing segfaults within malloc.

In my experience this is almost always caused by overwriting array
bounds somewhere before that. (Learning how malloc works helps you
understand why.) Go check all your memory accesses. Electric Fence might
help.

-Hollis

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/